Subject: bug#15135: 24.3; Weird behavior with dead chars

From: Stefan Monnier <[email-masked]>
Date: Tue, 20 Aug 2013 01:57:58 -0400

> I encounter an odd behavior using emacs under Linux. When I type a dead
> key like ~ (dead-tilde) or ` (dead-grave) I get the error "<dead-tilde
> is undefined>" (where dead-tilde is the name of the dead chars).

We've had various reports of such problems, in the past.
Yours sounds like it's related to http://debbugs.gnu.org/14044 can you
look at this thread and see if it might help you track down the source
of the problem?

>   value of $LANG: fr_CH.utf8
>   value of $XMODIFIERS: @im=ibus

It sounds like a bad interaction with ibus.
Does someone know what might be going on with ibus?

        Stefan